/* Example: passing arrays to functions */

#include <stdio.h>
#include <math.h>

void print_vec(int v[3]);  /* Prints 3-vector v */
float length(int v[3]);    /* Finds length of 3-vector v */


void main(void)
{
  int a[3] = {2, 4, -6};

  puts("vector a:");
  print_vec(a);
  printf("length = %f\n", length(a));
  
  return;
}


void print_vec(int v[3])  /* Prints 3-vector v */
{
  printf("[ %2i  ", v[0]);
  printf("%2i  ", v[1]);
  printf("%2i ]\n", v[2]);
  return;
}


float length(int v[3])  /* Finds length of 3-vector v */
{
  float len2 = 0;
  int i;
  
  for (i = 0; i < 3; i++)
    len2 +=  v[i] * v[i];
  return sqrt(len2);
}
